%define upstream_name    DateTime-Format-Builder
%define upstream_version 0.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Create DateTime parser classes and objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

# This dependency is missing so we specify it explicitly.
Requires:   perl(Class::Factory::Util)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Factory::Util) >= 1.600.0
BuildRequires: perl(DateTime) >= 1.0.0
BuildRequires: perl(DateTime::Format::Strptime) >= 1.40.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Params::Validate) >= 0.720.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in
order to create DateTime objects, and it can take a DateTime object and
produce a string representing it in the MySQL format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.810.0-2.mga4
+ Revision: 526856
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.810.0-1.mga4
+ Revision: 438982
- update to 0.81

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-3.mga3
+ Revision: 365565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.800.0-2.mga1
+ Revision: 37039
- mageia rebuild
- imported package perl-DateTime-Format-Builder

